# CNCF Student Program Ideas
This page gives a list of program ideas, resources, meeting ideas, and groups to get students involved in the cloud native ecosystem. Students going through these programs will be able to gain experience using cloud native technologies for their future jobs and develop skills to contribute in open source projects.

### Contributing to open source projects
Students that want to become contributors to open source projects in the cloud native ecosystem can find more information on the [contributor page](https://contribute.cncf.io/).

### Working on a cloud native thesis
A college student can focus their theisis on a projects that involves the implementation, or a test drive of cloud native technologies that solve real life problems, or shows different use cases for cloud native technologies.
 
### Cloud native class projects
A Professor can design a project that solves a real work problem and/or show how to uses cloud native technologies, the professor can explore ideas such as:
- Test new features for an specific CNCF project
- Implement a solution that solves a real life problem
- Develop new features for a CNCF project
 
### Open Syllabus
Professors can work on open content of their courses and start to include CNCF technologies into their classes and projects, generating content as workshops, tutorials, etc.
 
## Student Program Examples
Below are some examples of how students around the world have grown within the cloud native community. Do you have an example that you would like to share? Please submit a [pull request](https://github.com/cncf/students/pulls) to add it. 

### Students Presenting a Class Project
The students of USAC, University of Guatemala presented a project about a high concurrency system that displays real time information about Covid-19, this project used cloud native technologies such as Kubernetes, Linkerd, gRPC, Prometheus, and others. Charles Pretzer from Linkerd Community and Field Engineer of Buoyant, helped answer questions and invited students to join the Linkerd Community.
- [Realtime COVID-19 Display System Using Linkerd](https://www.youtube.com/watch?v=XWlpS78wRks)
 
### Open Syllabus and project
This repository is an initiative to develop an open content and resources for students to learn about cloud native technologies.
- [Operating System Syllabus and Projects](https://github.com/sergioarmgpl/operating-systems-usac-course)
 
### CNCF Students Day
A CNCF Students Day was hosted in Nicaragua, as an online event, to promote CNCF technologies. Students from Guatemala and other speakers that are organizers of CNCF Community Groups participated by giving workshops and talks focused on containers, Kubernetes, and cloud native in general.
- [Cloud Native Students Day URACCAN](https://community.cncf.io/events/details/cncf-cloud-nativegt-presents-cloud-native-students-day-uraccan/)
